missing-categories:
  extends: .run
  stage: report
  rules:
    - if: '$TRIAGE_MISSING_CATEGORIES'
  variables:
    TRIAGE_POLICY_FILE: policies/stages/report/missing-categories.yml

untriaged-issues:
  extends: .run
  stage: report
  rules:
    - if: '$TRIAGE_UNTRIAGED_ISSUES'
  variables:
    TRIAGE_POLICY_FILE: policies/stages/report/untriaged-issues.yml

untriaged-community-merge-requests:
  extends: .run
  stage: report
  rules:
    - if: '$TRIAGE_UNTRIAGED_COMMUNITY_MERGE_REQUESTS_REPORT'
  variables:
    TRIAGE_POLICY_FILE: policies/stages/report/untriaged-community-merge-requests.yml

runner-team-summary:
  extends: .run
  stage: report
  rules:
    - if: '$TRIAGE_RUNNER_GROUP_SUMMARY'
  variables:
    TRIAGE_POLICY_FILE: policies/teams/runner-group-summary.yml

runner-saas-team-summary:
  extends: .run
  stage: report
  rules:
    - if: '$TRIAGE_RUNNER_SAAS_GROUP_SUMMARY'
  variables:
    TRIAGE_POLICY_FILE: policies/teams/runner-saas-group-summary.yml

quad-planning-issues:
  extends: .run
  stage: report
  only:
    variables:
      - $QUAD_PLANNING_REPORT
  variables:
    TRIAGE_POLICY_FILE: policies/stages/report/quad-planning-issues.yml

dry-run:untriaged-community-merge-requests:
  extends: dry-run:custom
  variables:
    TRIAGE_POLICY_FILE: policies/stages/report/untriaged-community-merge-requests.yml

deploy-milestone-check:
  extends: .run
  stage: report
  rules:
    - if: '$TRIAGE_DEPLOY_MILESTONE_CHECK'
  variables:
    TRIAGE_POLICY_FILE: policies/deploy-stage/milestone-check.yml
